#ifndef __SMSSEND_H__
#define __SMSSEND_H__

#include <skyutils.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <sys/stat.h>
#include <sys/types.h>

#define SMSSEND_VERSION "2.1"
#define SMSSEND_URL_SCRIPTS "http://zekiller.skytech.org/fichiers/smssend/"

#define DATADIR "/usr/share"
#define SMSSEND_SHAREPATH DATADIR "/smssend"

#define RUNTIME_URL    0
#define RUNTIME_PARAMS 1
#define RUNTIME_HOST   2
#define RUNTIME_DATA   3

typedef struct
{
  char *String;
  char *Msg;
  int Group;
  int Error;
} SMS_TSearch, *SMS_PSearch;

typedef struct
{
  char *Name;
  char *Value;
  char *Help;
  char *Alias;
  int Hidden;
  int Size;
  int Convert;
} SMS_TParam, *SMS_PParam;

typedef struct
{
  char *URL;
  char *Params;
  char *Host;
  char *Data;
} SMS_TRunTime, *SMS_PRunTime;

typedef struct
{
  int NbParams;
  SMS_TParam *Params;
  SU_PList Act;    /* SU_PHTTPActions */
  SU_PList RunTime; /* SMS_PRunTime */
} SMS_TProvider, *SMS_PProvider;

void GetHostFromURL(const char *URL,char Host[],int Length,bool proxy,char URL_OUT[],int *PortConnect,const char OtherHost[]);

#endif
